### Function

# Gtk.ListBoxSortFunc

#### Declaration

    int
    ListBoxSortFunc (
      GtkListBoxRow* row1,
      GtkListBoxRow* row2,
      gpointer user_data
    )

#### Description [src]

Compare two rows to determine which should be first.

#### Parameters

`row1` | `GtkListBoxRow`
| the first row
| Ownership is not transferred to the callee
`row2` | `GtkListBoxRow`
| the second row
| Ownership is not transferred to the callee
`user_data` | `gpointer`
| user data

#### Return value

Returns: `int`
< 0 if `row1` should be before `row2`, 0 if they are equal and > 0 otherwise